httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ruben Safir <mrbrk...@panix.com>
Subject [users@httpd] comfil problem with 2.4.23
Date Sat, 30 Sep 2017 18:43:14 GMT
I am having trouble compiling mod_perl and the docs recommend 2.4.23

is I tried it and I get this compile error

make[2]: Entering directory '/home/ruben/src/httpd-2.4.23/support'
/usr/share/apr-1/build/libtool --silent --mode=link gcc  -pthread   -lssl -lcrypto  \
      -L/usr/lib   -o ab  ab.lo      -L/usr/lib -R/usr/lib -laprutil-1 -ldb-5.3 -lgdbm -lexpat
-L/usr/lib -R/usr/lib -lapr-1 -lm
ab.o: In function `main':
ab.c:(.text+0x64b4): undefined reference to `SSLv2_client_method'
ab.c:(.text+0x675b): undefined reference to `CRYPTO_malloc_init'
collect2: error: ld returned 1 exit status

I installed with pacman openssl on this arch based system

2.4.27 compiled without a hitch

-- 
So many immigrant groups have swept through our town
that Brooklyn, like Atlantis, reaches mythological
proportions in the mind of the world - RI Safir 1998
http://www.mrbrklyn.com 

DRM is THEFT - We are the STAKEHOLDERS - RI Safir 2002
http://www.nylxs.com - Leadership Development in Free Software
http://www2.mrbrklyn.com/resources - Unpublished Archive
http://www.coinhangout.com - coins!
http://www.brooklyn-living.com

Being so tracked is for FARM ANIMALS and and extermination camps,
but incompatible with living as a free human being. -RI Safir 2013

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message